/* ---------------------------------------------------- */
/* Header-file DBSYS 1.0, (C) Wabnig Harald, 15.12.2002 */
/* ---------------------------------------------------- */

#ifndef DBCACHE_INCLUDE
#define DBCACHE_INCLUDE

#include "dbsys.h"

/* -------------------------------------------------------------------------- */
/* Table-Cache functionality                                                  */
/* -------------------------------------------------------------------------- */

/* maximum number of tables that can be stored in the cache */
/* if limit is reached, no more data is cached without warning */
#define CACHE_MAXTABLE	50
/* maximum number of items per table */
/* if this maximum is reached, no more items are cached without warning */
#define CACHE_MAXINFO	1000

extern void * CACHE_GetPk(void * pDBHANDLE, int tablenr, void * ptr);
extern void * CACHE_GetLk(void * pDBHANDLE, void * ptr);

extern void CACHE_Add(void * pDBHANDLE, void * ptr);

#endif
